# How to customize Email From in outgoing emails

<mark style="color:green;">SINCE VERSION 5.3</mark>

The **From** attribute of emails are normally composed of two values:

* The email address of the sender
* The name of the sender

For example, when you see that the sender of an email is `John Doe <john.doe@example.com>`, `John Doe` is the name of the sender, while `<john.doe@example.com>` is the sender's email address.

## Set the From name <a href="#howtocustomizeemailfrominoutgoingemails-setfromname" id="howtocustomizeemailfrominoutgoingemails-setfromname"></a>

Jira Email This Issue (JETI) allows you to configure the **From** name in emails in **Contexts**. See more [here](/email-this-issue/email-this-issue-for-jira-server-data-center/documentation/outgoing-emails/contexts.md). The attribute is called **Sender Name Pattern**. It is a Velocity Markup field that generates a label to be used as the **From** name.

For example:

* To use the project name with the word `Hotline`, configure this pattern: `$!issue.projectObject.name Hotline`
* To use the value of a custom field, configure this pattern: `$!jetiFieldRenderer.renderCustomField($issue, 'customfield_10000')`

\
If you do not specify any values, JETI will fall back to Jira's Email From setting in General Configuration. Read more [here](/email-this-issue/email-this-issue-for-jira-server-data-center/documentation/administration/general-configuration.md).

{% hint style="info" %}
**Note**: The **Sender Name Pattern** is applied only if the user does not enable the option **Send mail with me as sender**. In this case, the user's full name will be used.
{% endhint %}

&#x20;

## Set the From email address <a href="#howtocustomizeemailfrominoutgoingemails-setfromemailaddress" id="howtocustomizeemailfrominoutgoingemails-setfromemailaddress"></a>

If the Email This Issue application uses Jira's SMTP connection to send the outgoing email, then the project email address from the Jira settings will be set as the Email From address as a default. Read more [here](https://confluence.atlassian.com/adminjiraserver073/configuring-email-notifications-861253776.html#ConfiguringEmailNotifications-emailaddress).

If you are using an Outgoing Connection configured in the Email This Issue app, then the From address will be the email address of the outgoing connection.

There are several options in the app that override both these defaults, in the following order:

1. A different From Email Address specified in an applicable Context will override the default settings. Read more [here](/email-this-issue/email-this-issue-for-jira-server-data-center/documentation/outgoing-emails/contexts.md).
2. The **Send mail with me as sender** option (configured in manual email, notification, or post function settings) will override the default and context settings to the email address of the user initiating the email sending.
3. The **Override from address** option in the Notification settings will override the sender email set as default and in the context. The email address specified here gets applied even if the Notification also has the **Send mail with me as a sender** option enabled.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.meta-inf.hu/email-this-issue/email-this-issue-for-jira-server-data-center/faq/faq/how-to-customize-email-from-in-outgoing-emails.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
